Bug 45176 - devel/allegro: `allegro-config --libs` reports uninstalled lib.
Summary: devel/allegro: `allegro-config --libs` reports uninstalled lib.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-10 00:10 UTC by Thierry Thomas
Modified: 2002-11-23 21:16 UTC (History)
0 users

See Also:


Attachments
file.diff (574 bytes, patch)
2002-11-10 00:10 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas 2002-11-10 00:10:00 UTC
	To build a program with allegro, you may run allegro-config to locate
	its includes and libs, but `allegro-config --libs' reports alleg-4.0.2,
	which does not exist.

Fix: I don't know: either patch /usr/local/bin/allegro-config, or add an
	alias alleg.4 / alleg-4.0.2. Patching allegro-config should be better.
How-To-Repeat: 	. Install the port devel/allegro
	. run `allegro-config --libs`
	  => it reports:
	  -L/usr/local/lib -L/usr/X11R6/lib -s -Wl,-export-dynamic -pthread -lalleg-4.0.2 -lalleg_unsharable
	. make a program with this line => it will abort:
	  /usr/libexec/elf/ld: cannot find -lalleg-4.0.2
	. you can check with `ldconfig -r|grep alleg`:
	  410:-lalleg.4 => /usr/local/lib/liballeg.so.4
Comment 1 Thierry Thomas 2002-11-10 23:52:32 UTC
Le 10/11/2002 à 00:59:01 +0100, Thierry Thomas <thierry@pompo.net> écrivait :
> -      echo $libdirs $allegro_ldflags -l${lib_type}-${version} -l${lib_type}_unsharable
> +      echo $libdirs $allegro_ldflags -l${lib_type}-${major} -l${lib_type}_unsharable

Oops... There is no number! The correct patch would be:

--- misc/allegro-config.in.orig Wed Jul  3 22:19:19 2002
+++ misc/allegro-config.in      Sat Nov  9 22:27:50 2002
@@ -10,6 +10,7 @@
 #  This is heavily based on a similar script from GTK.

 version=4.0.2

 prefix=@prefix@
 exec_prefix=$prefix
@@ -157,7 +158,7 @@
    if test "$static_libs" = "yes"; then
       echo $libdirs $allegro_ldflags -l${lib_type} $allegro_libs
    else
-      echo $libdirs $allegro_ldflags -l${lib_type}-${version} -l${lib_type}_unsharable
+      echo $libdirs $allegro_ldflags -l${lib_type} -l${lib_type}_unsharable
    fi
 fi

-- 
Th. Thomas.
Comment 2 Patrick Li freebsd_committer 2002-11-23 21:16:22 UTC
State Changed
From-To: open->closed

Committed, with modification, Thanks!